package com.leromro.core.domain.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDate;

/**
 *  首页查询条件通用dto
 */
@Data
public class HomePageDTO {

    @ApiModelProperty("开始日期")
    private LocalDate startDate;

    @ApiModelProperty("省级区划编号")
    private String provinceCode;

    @ApiModelProperty("市级编号")
    private String cityCode;

    @ApiModelProperty("区级区划编号")
    private String districtCode;

    @ApiModelProperty("人员类型：1用户2志愿者")
    private Integer userType;
}
