package com.leromro.core.domain.dto;

import lombok.Data;

import java.util.Date;

/**
 * 订单费用结算审核列表参数
 * 
 * @author lsd
 * @date 2025-05-13
 */
@Data
public class OrderSettlementApplicationListDTO {
    // 审核状态 10审核中 20审核通过 30审核未通过 40已取消
    private String auditorStatus;

    // 审核时间范围查询（开始时间）
    private Date auditorTimeStart;

    // 审核时间范围查询（结束时间）
    private Date auditorTimeEnd;

    // 审核人名称
    private String auditorUserName;

    // 申请时间范围查询（开始时间）
    private Date applyTimeStart;

    // 申请时间范围查询（结束时间）
    private Date applyTimeEnd;

    // 申请人名称
    private String applyUserName;

    // 申请组织名称（区域/服务中心）
    private String applicant;

    // 订单号
    private String orderNo;

    // 下单时间筛选（开始时间）
    private Date startTime;

    // 下单时间筛选（结束时间）
    private Date endTime;

    // 订单服务完成时间筛选（开始时间）
    private Date serviceCompleteStartTime;

    // 订单服务完成时间筛选（结束时间）
    private Date serviceCompleteEndTime;
}
