package com.leromro.core.domain.dto;

import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * 订单费用结算申请DTO
 */
@Data
public class SettlementOrderAuditorDTO {
    // 审核记录id
    @NotEmpty(message = "审核记录id不能为空")
    private List<Long> ids;
    // 审核状态 20:审核通过 30:审核未通过
    @NotNull(message = "审核状态不能为空")
    private String auditorStatus;
    // 审核备注（审核未通过时，必传）
    private String auditorRemark;
}
