package com.leromro.core.domain.dto;

import lombok.Data;

import java.util.Date;

/**
 * 订单结算列表请求参数
 */
@Data
public class SettlementOrderListDTO {
    // 订单号
    private String orderNo;

    // 区域公司名称
    private String areaName;

    // 服务中心名称
    private String serviceCentreName;

    // 服务类型id
    private String businessManagementId;

    // 订单状态
    private String orderStatus;

    // 用户手机号
    private String userPhone;

    // 志愿者手机号
    private String volunteerPhone;

    // 下单时间筛选（开始时间）
    private Date startTime;

    // 下单时间筛选（结束时间）
    private Date endTime;

    // 订单服务完成时间筛选（开始时间）
    private Date serviceCompleteStartTime;

    // 订单服务完成时间筛选（结束时间）
    private Date serviceCompleteEndTime;

    // 区域抽成结算状态筛选
    private String areaSettlementStatus;

    // 区域抽成结算操作人名称筛选
    private String areaSettlementName;

    // 区域抽成结算时间筛选（开始时间）
    private Date areaSettlementStartTime;

    // 区域抽成结算时间筛选（结束时间）
    private Date areaSettlementEndTime;

    // 服务中心抽成结算状态筛选
    private String serviceCentreSettlementStatus;

    // 服务中心抽成结算操作人名称筛选
    private String serviceCentreSettlementName;

    // 服务中心抽成结算时间筛选（开始时间）
    private Date serviceCentreSettlementStartTime;

    // 服务中心抽成结算时间筛选（结束时间）
    private Date serviceCentreSettlementEndTime;
}
