package com.leromro.core.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiOperation("总钱数（支出和收入）")
public class AccountChangeTotalMoney {
    @ApiModelProperty("总收入")
    private BigDecimal totalEarning;
    @ApiModelProperty("总支出")
    private BigDecimal totalExpend;

}
