package com.leromro.core.domain.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(description = "支付宝提现参数")
public class AlipayCashWithdrawal {

    @ApiModelProperty(value = "商家侧唯一订单号，由商家自定义", name = "outBizNo", example = "xxx")
    private String outBizNo;

    @ApiModelProperty(value = "业务备注", name = "remark", example = "xx")
    private String remark;

    @ApiModelProperty(value = "参与方的唯一标识（支付宝账号", name = "identity", example = "")
    private String identity;

    @ApiModelProperty(value = "参与方真实姓名", name = "name", example = "")
    private String name;

    @ApiModelProperty(value = "订单总金额", name = "transAmount", example = "")
    private String transAmount;

    @ApiModelProperty(value = "转账业务的标题", name = "orderTitle", example = "")
    private String orderTitle;

}