package com.leromro.core.domain.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class OrderPaymentVO implements Serializable {

    @ApiModelProperty("随机字符串")
    private String nonceStr; //随机字符串
    @ApiModelProperty("签名")
    private String paySign; //签名
    @ApiModelProperty("时间戳")
    private String timeStamp; //时间戳
    @ApiModelProperty("签名算法")
    private String signType; //签名算法
    @ApiModelProperty("统一下单接口返回的")
    private String packageValue; //统一下单接口返回的 prepay_id 参数值
    @ApiModelProperty("订单id")
    private Long mainOrderId;


}
