package com.leromro.core.domain.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.leromro.core.domain.MainOrders;
import com.leromro.core.domain.SecondOrder;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.List;

@Getter
@Setter
public class WebOrderRefundVO extends MainOrders {

    @ApiModelProperty("退款状态 0待处理 1退款中 2已退款 3已驳回 ")
    private String orderRefundStatus;
    /**
     * 申请的退款金额
     */
    @ApiModelProperty("申请的退款金额")
    private BigDecimal refundApplyAmount;
    /**
     * 可退款金额
     */
    @ApiModelProperty("可退款金额")
    private BigDecimal refundAmount;

    /**
     * 退款原因文字
     */
    @ApiModelProperty("退款原因文字")
    private String refundReason;

    @ApiModelProperty("退款原因图片")
    private String refundPicture;

    @ApiModelProperty("业务层级名称")
    private String businessTierName;

    @ApiModelProperty("志愿者姓名")
    private String volunteerName;

    @ApiModelProperty("退款单号")
    private String orderRefundId;
    @ApiModelProperty("申请退款时间")
    private String refundTime;
}
