package com.leromro.core.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.leromro.core.domain.Region;
import com.leromro.core.domain.dto.RegionTreeDTO;
import org.springframework.cache.annotation.CacheConfig;
import org.springframework.cache.annotation.CacheEvict;
import org.springframework.cache.annotation.Cacheable;

import java.util.List;
import java.util.Map;

/**
 * 行政地区业务层
 *
 * @author Chopper
 * @since 2020/12/2 14:14
 */
/*@CacheConfig(cacheNames = "{regions}")*/
public interface RegionService extends IService<Region> {
    List<RegionTreeDTO> getRegionTree();


    /**
     * 获取地区列表
     *
     * @param id 地区ID
     * @return 地区列表
     */
/*    //@Cacheable(key = "#id")
    List<Region> getItem(String id);


    List<RegionTreeDTO> getRegionTree();*/
}