package com.leromro.core.domain.vo;

import com.leromro.core.domain.MainOrders;
import com.leromro.core.domain.SecondOrder;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;


@Getter
@Setter
public class OrderRefundVO extends MainOrders {
    /** 剩余次数的总金额 */
    @ApiModelProperty("剩余次数的总金额")
    private BigDecimal refundAmount;
    /** 志愿者姓名 */
    @ApiModelProperty("志愿者姓名")
    private String volunteerName;
    /** 志愿者图片 */
    @ApiModelProperty("志愿者图片")
    private String volunteerPicture;
    /** 剩余次数的总金额 */
    @ApiModelProperty("小订单")
    private List<SecondOrder> SecondOrder;

    @ApiModelProperty("退款单号id")
    private Long orderRefundId;

    @ApiModelProperty("服务名")
    private String businessTierName;

}
