package com.leromro.core.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDate;

/**
 * 首页 人员总览视图
 */
@Data
public class UserSummaryVO {

    @ApiModelProperty("人员总量")
    private Integer userTotal;

    @ApiModelProperty("今日新增")
    private Integer todayAdd;

    @ApiModelProperty("昨日新增")
    private Integer yesterdayAdd;

    @ApiModelProperty("本月新增")
    private Integer monthAdd;
}
