package com.leromro.framework.config.properties;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

@Data
@Configuration
@ConfigurationProperties(prefix = "wx.dev")
public class WxDevProperties {

    private String url;
    private String appId;
    private String secret;

}