package com.leromro.framework.config.properties;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

@Data
@Configuration
@ConfigurationProperties(prefix = "wx.pay")
public class WxPayProperties {

    private String appId;
    private String appSecret;
    private String mchId;
    private String mchKey;
    private String tradeType;
    private String notifyUrl;
    private String keyPath;
    private String refundNotifyUrl;

}