package com.leromro.framework.handler;

import com.leromro.common.utils.DictUtils;
import com.leromro.common.utils.poi.ExcelHandlerAdapter;
import org.apache.poi.ss.usermodel.Cell;
import org.apache.poi.ss.usermodel.Workbook;

/**
 * 导出excel 字典格式化
 */
public class DictLaberHandler implements ExcelHandlerAdapter {
    /**
     *
     * @param value 单元格数据值
     * @param args excel注解args参数组 args[0]为字典的dict_type
     * @param cell 单元格对象
     * @param wb 工作簿对象
     *
     * @return
     */
    @Override
    public Object format(Object value, String[] args, Cell cell, Workbook wb) {
        // 字典类型
        String dictType = args[0];
        // 获取字典label
        return DictUtils.getDictLabel(dictType, (String) value);
    }
}
